Subject: Re: bug#54544: Network Issue

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 25 Mar 2022 23:08:27 -0400

Hi Raghav,

Raghav Gururajan <[email-masked]> writes:

> Hello Guix!
>
> About beginning of this month, I started facing network issue. The
> WiFi stops working and `sudo herd restart networking` didn't overcome
> it. When I shutdown, I see "ath: phy0: Unable to reset channel, reset
> status -22" in the screen. I have attached the picture with this
> email.
>
> Any ideas?
>
> Kernel: linux-libre-lts
> Guix Describe:
>   guix 4a82826
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     commit: 4a828263791ebb8ed8f8104e015a8f467008fc76
> WLAN IC: AR9380

It seems the last update to linux-libre-lts dates back to commit
2c7f2b40e2dbee48075147a87c6cd9b611dc5ba9 made on Jan 16 2022.  You could
try reconfiguring with a commit older than that to see if it improves
anything.

Thanks,

Maxim